faxq-helper(8)

NAME
faxq-helper - privileged helper process to access the fax queue

SYNOPSIS
faxq-helper <command> [<options>]

DESCRIPTION
faxq-helper is part of the internal workings of faxspool(1).

Formerly, the /var/spool/fax/outgoing directory was world-writeable, leading to all sort of funny symlink attacks against faxspool(1) and faxrunq(8).

These days, it's owned by the user ``uucp'', and only this user can write to it. To be able to put jobs there, faxspool(1) calls faxq-helper for very clearly defined purposes:

 - make a new queue directory

 - put a new fax G3 file into this queue directory

 - put a JOB file into this queue directory, and activate the fax job

and possibly:

 - remove a fax job from the queue (to be used by faxrm and in case of errors)

 - re-queue a job that has been suspended due to repeated failures (faxq -r)

To achieve this, faxq-helper is installed set-user-id uucp. If you remove the suid bit, or chown the fax queue directory to a different user, it will stop working.

RETURN VALUES
faxq-helper has the following exit() values:

0   everything went fine

1   invalid JOB ID specified on the command line

2   some problem with the directory setup of the outgoing queue dir, /var/spool/fax/outgoing (it will print a detailed error message)

3   some problems with the user ID setup of the ``uucp'' user (it will print a detailed error message)

10  failure to process the specified command (it will print a detailed error message)

SEE ALSO
faxspool(1), faxq(1), faxrm(1), faxqueue(5)

AUTHOR
faxq-helper is Copyright (C) 2004-2006 by Gert Doering, <gert@greenie.muc.de>.